import request from '@/utils/request'


// 设备管理列表
export function getDeviceList(query) {
    return request({
        url: `/maintenancePlan/device-newList`,
        method: 'get',
        params: query
    })
}


// 工艺下拉
export function getTechnology() {
    return request({
        url: `/production/findMaterialsCraft`,
        method: 'get'
    })
}

// 系统下拉
export function getSystem() {
    return request({
        url: `/device/findSystemComboBox`,
        method: 'get'
    })
}

// 类别下拉
export function getCategory() {
    return request({
        url: `/device/findCategoryComboBox`,
        method: 'get'
    })
}

// 位置下拉
export function getPosition() {
    return request({
        url: `/device/findPlacement`,
        method: 'get'
    })
}

// 区域下拉
export function getWorkshop() {
    return request({
        url: `/energy/workshop`,
        method: 'get'
    })
}

// 公司下拉
export function getCompany() {
    return request({
        url: `/device/findArtsVisionComboBox`,
        method: 'get'
    })
}

// 部门下拉
export function getDepartment() {
    return request({
        url: `/system/dept/treeselectTwo`,
        method: 'get'
    })
}

// 小组下拉
export function getGroup() {
    return request({
        url: `/device/findGroupComboBox`,
        method: 'get'
    })
}


// 查询设备类别信息下拉框（产品，网关）
export function getTypeList() {
    return request({
        url: `/maintenancePlan/findProductComboBox`,
        method: 'get'
    })
}

// 查询设备分组信息下拉框
export function getgroupList() {
    return request({
        url: `/maintenancePlan/findGroupComboBox`,
        method: 'get'
    })
}


// 添加设备
export function addDevice(data) {
    return request({
        url: `/maintenancePlan/saveDevice`,
        method: 'post',
        data
    })
}

// 添加设备
export function updateDevice(data) {
    return request({
        url: `/maintenancePlan/updateDevice`,
        method: 'post',
        data
    })
}

// 查询设备详情
export function getDeviceDetail(val) {
    return request({
        url: `/maintenancePlan/getNewInfo/${val}`,
        method: 'get'
    })
}


// 查询设备运维情况(折线图)
export function getOperationsituation(data) {
    return request({
        url: '/maintenancePlan/operationCaseNew',
        method: 'post',
        data
    })
}

// 查询设备运维情况(折线图)
export function getStatisticNew(data) {
    return request({
        url: '/maintenancePlan/statisticNew',
        method: 'get',
        param: data
    })
}


// 查询设备故障情况(折线图)
export function getFailureSituation(data) {
    return request({
        url: '/maintenancePlan/deviceDevOps',
        method: 'post',
        data
    })
}


export function selectMaintainTasksDaoVoApi() {
    return request({
        url: '/maintenancePlan/selectMaintainTasksDaoVo',
        method: 'get'
    })
}

export function devOpsTaskAjaxApi() {
    return request({
        url: '/maintenancePlan/devOpsTaskAjax',
        method: 'get'
    })
}